ome-xml 5.2.3

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::Pixels Class Reference

Pixels model object. More...

`#include <ome/xml/model/Pixels.h>`

Inheritance diagram for ome::xml::model::Pixels:
[legend]
Collaboration diagram for ome::xml::model::Pixels:
[legend]

## Classes
class | Impl
| Private implementation details of Pixels model object. More...

## Public Member Functions
| Pixels ()
| Default constructor.
| Pixels (const Pixels &copy)
| Copy constructor. More...
virtual | ~Pixels ()
| Destructor.
const std::string & | elementName () const
| Get the element name of this model object. More...
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
const ome::xml::model::primitives::PositiveInteger & | getSizeT () const
| Get the SizeT property. More...
void | setSizeT (const ome::xml::model::primitives::PositiveInteger &sizeT)
| Set the SizeT property. More...
ome::xml::model::enums::DimensionOrder & | getDimensionOrder ()
| Get the DimensionOrder property. More...
const ome::xml::model::enums::DimensionOrder & | getDimensionOrder () const
| Get the DimensionOrder property. More...
void | setDimensionOrder (const ome::xml::model::enums::DimensionOrder &dimensionOrder)
| Set the DimensionOrder property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & | getPhysicalSizeZ ()
| Get the PhysicalSizeZ property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & | getPhysicalSizeZ () const
| Get the PhysicalSizeZ property. More...
void | setPhysicalSizeZ (const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > &physicalSizeZ)
| Set the PhysicalSizeZ property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & | getPhysicalSizeY ()
| Get the PhysicalSizeY property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & | getPhysicalSizeY () const
| Get the PhysicalSizeY property. More...
void | setPhysicalSizeY (const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > &physicalSizeY)
| Set the PhysicalSizeY property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & | getPhysicalSizeX ()
| Get the PhysicalSizeX property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & | getPhysicalSizeX () const
| Get the PhysicalSizeX property. More...
void | setPhysicalSizeX (const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > &physicalSizeX)
| Set the PhysicalSizeX property. More...
const ome::xml::model::primitives::PositiveInteger & | getSizeX () const
| Get the SizeX property. More...
void | setSizeX (const ome::xml::model::primitives::PositiveInteger &sizeX)
| Set the SizeX property. More...
const ome::xml::model::primitives::PositiveInteger & | getSizeY () const
| Get the SizeY property. More...
void | setSizeY (const ome::xml::model::primitives::PositiveInteger &sizeY)
| Set the SizeY property. More...
const ome::xml::model::primitives::PositiveInteger & | getSizeZ () const
| Get the SizeZ property. More...
void | setSizeZ (const ome::xml::model::primitives::PositiveInteger &sizeZ)
| Set the SizeZ property. More...
ome::compat::shared_ptr< bool > | getBigEndian ()
| Get the BigEndian property. More...
const ome::compat::shared_ptr< bool > | getBigEndian () const
| Get the BigEndian property. More...
void | setBigEndian (ome::compat::shared_ptr< bool > &bigEndian)
| Set the BigEndian property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > > & | getTimeIncrement ()
| Get the TimeIncrement property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > > & | getTimeIncrement () const
| Get the TimeIncrement property. More...
void | setTimeIncrement (const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > > &timeIncrement)
| Set the TimeIncrement property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | getSignificantBits ()
| Get the SignificantBits property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | getSignificantBits () const
| Get the SignificantBits property. More...
void | setSignificantBits (ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > &significantBits)
| Set the SignificantBits property. More...
const ome::xml::model::primitives::PositiveInteger & | getSizeC () const
| Get the SizeC property. More...
void | setSizeC (const ome::xml::model::primitives::PositiveInteger &sizeC)
| Set the SizeC property. More...
ome::xml::model::enums::PixelType & | getType ()
| Get the Type property. More...
const ome::xml::model::enums::PixelType & | getType () const
| Get the Type property. More...
void | setType (const ome::xml::model::enums::PixelType &type)
| Set the Type property. More...
const std::string & | getID () const
| Get the ID property. More...
void | setID (const std::string &id)
| Set the ID property. More...
ome::compat::shared_ptr< bool > | getInterleaved ()
| Get the Interleaved property. More...
const ome::compat::shared_ptr< bool > | getInterleaved () const
| Get the Interleaved property. More...
void | setInterleaved (ome::compat::shared_ptr< bool > &interleaved)
| Set the Interleaved property. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > >::size_type | sizeOfChannelList () const
| Get size of linked Channel list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > > & | getChannelList ()
| Get the Channel list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > > & | getChannelList () const
| Get the Channel list. More...
ome::compat::shared_ptr< ome::xml::model::Channel > & | getChannel (std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > >::size_type index)
| Get Channel. More...
const ome::compat::shared_ptr< ome::xml::model::Channel > & | getChannel (std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > >::size_type index) const
| Get Channel. More...
void | setChannel (std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Channel > &channel)
| Set Channel. More...
void | addChannel (ome::compat::shared_ptr< ome::xml::model::Channel > &channel)
| Add Channel. More...
void | removeChannel (ome::compat::shared_ptr< ome::xml::model::Channel > &channel)
| Remove Channel. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > >::size_type | sizeOfBinDataList () const
| Get size of linked BinData list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > > & | getBinDataList ()
| Get the BinData list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > > & | getBinDataList () const
| Get the BinData list. More...
ome::compat::shared_ptr< ome::xml::model::BinData > & | getBinData (std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > >::size_type index)
| Get BinData. More...
const ome::compat::shared_ptr< ome::xml::model::BinData > & | getBinData (std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > >::size_type index) const
| Get BinData. More...
void | setBinData (std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > >::size_type index, ome::compat::shared_ptr< ome::xml::model::BinData > &binData)
| Set BinData. More...
void | addBinData (ome::compat::shared_ptr< ome::xml::model::BinData > &binData)
| Add BinData. More...
void | removeBinData (ome::compat::shared_ptr< ome::xml::model::BinData > &binData)
| Remove BinData. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > >::size_type | sizeOfTiffDataList () const
| Get size of linked TiffData list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > > & | getTiffDataList ()
| Get the TiffData list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > > & | getTiffDataList () const
| Get the TiffData list. More...
ome::compat::shared_ptr< ome::xml::model::TiffData > & | getTiffData (std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > >::size_type index)
| Get TiffData. More...
const ome::compat::shared_ptr< ome::xml::model::TiffData > & | getTiffData (std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > >::size_type index) const
| Get TiffData. More...
void | setTiffData (std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > >::size_type index, ome::compat::shared_ptr< ome::xml::model::TiffData > &tiffData)
| Set TiffData. More...
void | addTiffData (ome::compat::shared_ptr< ome::xml::model::TiffData > &tiffData)
| Add TiffData. More...
void | removeTiffData (ome::compat::shared_ptr< ome::xml::model::TiffData > &tiffData)
| Remove TiffData. More...
ome::compat::shared_ptr< ome::xml::model::MetadataOnly > | getMetadataOnly ()
| Get the MetadataOnly property. More...
const ome::compat::shared_ptr< ome::xml::model::MetadataOnly > | getMetadataOnly () const
| Get the MetadataOnly property. More...
void | setMetadataOnly (ome::compat::shared_ptr< ome::xml::model::MetadataOnly > &metadataOnly)
| Set the MetadataOnly property. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > >::size_type | sizeOfPlaneList () const
| Get size of linked Plane list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > > & | getPlaneList ()
| Get the Plane list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > > & | getPlaneList () const
| Get the Plane list. More...
ome::compat::shared_ptr< ome::xml::model::Plane > & | getPlane (std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > >::size_type index)
| Get Plane. More...
const ome::compat::shared_ptr< ome::xml::model::Plane > & | getPlane (std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > >::size_type index) const
| Get Plane. More...
void | setPlane (std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Plane > &plane)
| Set Plane. More...
void | addPlane (ome::compat::shared_ptr< ome::xml::model::Plane > &plane)
| Add Plane. More...
void | removePlane (ome::compat::shared_ptr< ome::xml::model::Plane > &plane)
| Remove Plane. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Static Public Member Functions
static ome::compat::shared_ptr< Pixels > | create (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Create a Pixels model object from DOM element. More...
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
Pixels & | operator= (const Pixels &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

Pixels model object.

## Constructor & Destructor Documentation

## § Pixels()

ome::xml::model::Pixels::Pixels | ( | const Pixels & | copy | ) |

Copy constructor.

Parameters

  copy | the Pixels to copy.

## Member Function Documentation

## § addBinData()

void ome::xml::model::Pixels::addBinData | ( | ome::compat::shared_ptr< ome::xml::model::BinData > & | binData | ) |

Add BinData.

Parameters

  binData | the BinData to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addChannel()

void ome::xml::model::Pixels::addChannel | ( | ome::compat::shared_ptr< ome::xml::model::Channel > & | channel | ) |

Add Channel.

Parameters

  channel | the Channel to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addPlane()

void ome::xml::model::Pixels::addPlane | ( | ome::compat::shared_ptr< ome::xml::model::Plane > & | plane | ) |

Add Plane.

Parameters

  plane | the Plane to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addTiffData()

void ome::xml::model::Pixels::addTiffData | ( | ome::compat::shared_ptr< ome::xml::model::TiffData > & | tiffData | ) |

Add TiffData.

Parameters

  tiffData | the TiffData to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § asXMLElement()

common::xml::dom::Element ome::xml::model::Pixels::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::OMEModelObject.

References asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::Pixels::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::detail::OMEModelObject.

References ome::common::xml::dom::Node::appendChild(), ome::xml::model::detail::OMEModelObject::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), getXMLNamespace(), impl, and ome::common::xml::dom::Element::setAttribute().

Referenced by asXMLElement().

Here is the caller graph for this function:

## § create()

ome::compat::shared_ptr< Pixels > ome::xml::model::Pixels::create | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| static

Create a Pixels model object from DOM element.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Returns
  a new model object.

Referenced by ome::xml::model::Image::update().

Here is the caller graph for this function:

## § elementName()

const std::string & ome::xml::model::Pixels::elementName | ( |  | ) | const
| virtual

Get the element name of this model object.

This will be the most-derived class name.

Returns
  the element type.

Implements ome::xml::model::OMEModelObject.

## § getBigEndian() [1/2]

ome::compat::shared_ptr< bool > ome::xml::model::Pixels::getBigEndian | ( |  | ) |

Get the BigEndian property.

Returns
  the BigEndian property.

References impl.

## § getBigEndian() [2/2]

const ome::compat::shared_ptr< bool > ome::xml::model::Pixels::getBigEndian | ( |  | ) | const

Get the BigEndian property.

Returns
  the BigEndian property.

References impl.

## § getBinData() [1/2]

ome::compat::shared_ptr< ome::xml::model::BinData > & ome::xml::model::Pixels::getBinData | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > >::size_type | index | ) |

Get BinData.

Parameters

  index | the index number of the BinData.

Returns
  the BinData.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getBinData() [2/2]

const ome::compat::shared_ptr< ome::xml::model::BinData > & ome::xml::model::Pixels::getBinData | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > >::size_type | index | ) | const

Get BinData.

Parameters

  index | the index number of the BinData.

Returns
  the BinData.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getBinDataList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > > & ome::xml::model::Pixels::getBinDataList | ( |  | ) |

Get the BinData list.

Returns
  a reference to the list.

References impl.

## § getBinDataList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > > & ome::xml::model::Pixels::getBinDataList | ( |  | ) | const

Get the BinData list.

Returns
  a reference to the list.

References impl.

## § getChannel() [1/2]

ome::compat::shared_ptr< ome::xml::model::Channel > & ome::xml::model::Pixels::getChannel | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > >::size_type | index | ) |

Get Channel.

Parameters

  index | the index number of the Channel.

Returns
  the Channel.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getChannel() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Channel > & ome::xml::model::Pixels::getChannel | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > >::size_type | index | ) | const

Get Channel.

Parameters

  index | the index number of the Channel.

Returns
  the Channel.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getChannelList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > > & ome::xml::model::Pixels::getChannelList | ( |  | ) |

Get the Channel list.

Returns
  a reference to the list.

References impl.

## § getChannelList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > > & ome::xml::model::Pixels::getChannelList | ( |  | ) | const

Get the Channel list.

Returns
  a reference to the list.

References impl.

## § getDimensionOrder() [1/2]

ome::xml::model::enums::DimensionOrder & ome::xml::model::Pixels::getDimensionOrder | ( |  | ) |

Get the DimensionOrder property.

Returns
  the DimensionOrder property.

References impl.

## § getDimensionOrder() [2/2]

const ome::xml::model::enums::DimensionOrder & ome::xml::model::Pixels::getDimensionOrder | ( |  | ) | const

Get the DimensionOrder property.

Returns
  the DimensionOrder property.

References impl.

## § getID()

const std::string & ome::xml::model::Pixels::getID | ( |  | ) | const

Get the ID property.

Returns
  the ID property.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § getInterleaved() [1/2]

ome::compat::shared_ptr< bool > ome::xml::model::Pixels::getInterleaved | ( |  | ) |

Get the Interleaved property.

Returns
  the Interleaved property.

References impl.

## § getInterleaved() [2/2]

const ome::compat::shared_ptr< bool > ome::xml::model::Pixels::getInterleaved | ( |  | ) | const

Get the Interleaved property.

Returns
  the Interleaved property.

References impl.

## § getMetadataOnly() [1/2]

ome::compat::shared_ptr< ome::xml::model::MetadataOnly > ome::xml::model::Pixels::getMetadataOnly | ( |  | ) |

Get the MetadataOnly property.

Returns
  the MetadataOnly property.

References impl.

## § getMetadataOnly() [2/2]

const ome::compat::shared_ptr< ome::xml::model::MetadataOnly > ome::xml::model::Pixels::getMetadataOnly | ( |  | ) | const

Get the MetadataOnly property.

Returns
  the MetadataOnly property.

References impl.

## § getPhysicalSizeX() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & ome::xml::model::Pixels::getPhysicalSizeX | ( |  | ) |

Get the PhysicalSizeX property.

Returns
  the PhysicalSizeX property.

References impl.

## § getPhysicalSizeX() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & ome::xml::model::Pixels::getPhysicalSizeX | ( |  | ) | const

Get the PhysicalSizeX property.

Returns
  the PhysicalSizeX property.

References impl.

## § getPhysicalSizeY() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & ome::xml::model::Pixels::getPhysicalSizeY | ( |  | ) |

Get the PhysicalSizeY property.

Returns
  the PhysicalSizeY property.

References impl.

## § getPhysicalSizeY() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & ome::xml::model::Pixels::getPhysicalSizeY | ( |  | ) | const

Get the PhysicalSizeY property.

Returns
  the PhysicalSizeY property.

References impl.

## § getPhysicalSizeZ() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & ome::xml::model::Pixels::getPhysicalSizeZ | ( |  | ) |

Get the PhysicalSizeZ property.

Returns
  the PhysicalSizeZ property.

References impl.

## § getPhysicalSizeZ() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & ome::xml::model::Pixels::getPhysicalSizeZ | ( |  | ) | const

Get the PhysicalSizeZ property.

Returns
  the PhysicalSizeZ property.

References impl.

## § getPlane() [1/2]

ome::compat::shared_ptr< ome::xml::model::Plane > & ome::xml::model::Pixels::getPlane | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > >::size_type | index | ) |

Get Plane.

Parameters

  index | the index number of the Plane.

Returns
  the Plane.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getPlane() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Plane > & ome::xml::model::Pixels::getPlane | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > >::size_type | index | ) | const

Get Plane.

Parameters

  index | the index number of the Plane.

Returns
  the Plane.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getPlaneList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > > & ome::xml::model::Pixels::getPlaneList | ( |  | ) |

Get the Plane list.

Returns
  a reference to the list.

References impl.

## § getPlaneList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > > & ome::xml::model::Pixels::getPlaneList | ( |  | ) | const

Get the Plane list.

Returns
  a reference to the list.

References impl.

## § getSignificantBits() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > ome::xml::model::Pixels::getSignificantBits | ( |  | ) |

Get the SignificantBits property.

Returns
  the SignificantBits property.

References impl.

## § getSignificantBits() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > ome::xml::model::Pixels::getSignificantBits | ( |  | ) | const

Get the SignificantBits property.

Returns
  the SignificantBits property.

References impl.

## § getSizeC()

const ome::xml::model::primitives::PositiveInteger & ome::xml::model::Pixels::getSizeC | ( |  | ) | const

Get the SizeC property.

Returns
  the SizeC property.

References impl.

## § getSizeT()

const ome::xml::model::primitives::PositiveInteger & ome::xml::model::Pixels::getSizeT | ( |  | ) | const

Get the SizeT property.

Returns
  the SizeT property.

References impl.

## § getSizeX()

const ome::xml::model::primitives::PositiveInteger & ome::xml::model::Pixels::getSizeX | ( |  | ) | const

Get the SizeX property.

Returns
  the SizeX property.

References impl.

## § getSizeY()

const ome::xml::model::primitives::PositiveInteger & ome::xml::model::Pixels::getSizeY | ( |  | ) | const

Get the SizeY property.

Returns
  the SizeY property.

References impl.

## § getSizeZ()

const ome::xml::model::primitives::PositiveInteger & ome::xml::model::Pixels::getSizeZ | ( |  | ) | const

Get the SizeZ property.

Returns
  the SizeZ property.

References impl.

## § getTiffData() [1/2]

ome::compat::shared_ptr< ome::xml::model::TiffData > & ome::xml::model::Pixels::getTiffData | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > >::size_type | index | ) |

Get TiffData.

Parameters

  index | the index number of the TiffData.

Returns
  the TiffData.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getTiffData() [2/2]

const ome::compat::shared_ptr< ome::xml::model::TiffData > & ome::xml::model::Pixels::getTiffData | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > >::size_type | index | ) | const

Get TiffData.

Parameters

  index | the index number of the TiffData.

Returns
  the TiffData.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getTiffDataList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > > & ome::xml::model::Pixels::getTiffDataList | ( |  | ) |

Get the TiffData list.

Returns
  a reference to the list.

References impl.

## § getTiffDataList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > > & ome::xml::model::Pixels::getTiffDataList | ( |  | ) | const

Get the TiffData list.

Returns
  a reference to the list.

References impl.

## § getTimeIncrement() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > > & ome::xml::model::Pixels::getTimeIncrement | ( |  | ) |

Get the TimeIncrement property.

Returns
  the TimeIncrement property.

References impl.

## § getTimeIncrement() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > > & ome::xml::model::Pixels::getTimeIncrement | ( |  | ) | const

Get the TimeIncrement property.

Returns
  the TimeIncrement property.

References impl.

## § getType() [1/2]

ome::xml::model::enums::PixelType & ome::xml::model::Pixels::getType | ( |  | ) |

Get the Type property.

Returns
  the Type property.

References impl.

## § getType() [2/2]

const ome::xml::model::enums::PixelType & ome::xml::model::Pixels::getType | ( |  | ) | const

Get the Type property.

Returns
  the Type property.

References impl.

## § getXMLNamespace()

const std::string & ome::xml::model::Pixels::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Implements ome::xml::model::OMEModelObject.

Referenced by asXMLElement(), and asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::Pixels::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

References ome::xml::model::detail::OMEModelObject::link(), and ome::xml::model::detail::OMEModelObject::logger.

## § removeBinData()

void ome::xml::model::Pixels::removeBinData | ( | ome::compat::shared_ptr< ome::xml::model::BinData > & | binData | ) |

Remove BinData.

Parameters

  binData | the BinData to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeChannel()

void ome::xml::model::Pixels::removeChannel | ( | ome::compat::shared_ptr< ome::xml::model::Channel > & | channel | ) |

Remove Channel.

Parameters

  channel | the Channel to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removePlane()

void ome::xml::model::Pixels::removePlane | ( | ome::compat::shared_ptr< ome::xml::model::Plane > & | plane | ) |

Remove Plane.

Parameters

  plane | the Plane to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeTiffData()

void ome::xml::model::Pixels::removeTiffData | ( | ome::compat::shared_ptr< ome::xml::model::TiffData > & | tiffData | ) |

Remove TiffData.

Parameters

  tiffData | the TiffData to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § setBigEndian()

void ome::xml::model::Pixels::setBigEndian | ( | ome::compat::shared_ptr< bool > & | bigEndian | ) |

Set the BigEndian property.

Parameters

  bigEndian | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setBinData()

void ome::xml::model::Pixels::setBinData | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::BinData > & | binData
| ) |  |

Set BinData.

Parameters

  index | the index number of the BinData.
  binData | the BinData to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setChannel()

void ome::xml::model::Pixels::setChannel | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Channel > & | channel
| ) |  |

Set Channel.

Parameters

  index | the index number of the Channel.
  channel | the Channel to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setDimensionOrder()

void ome::xml::model::Pixels::setDimensionOrder | ( | const ome::xml::model::enums::DimensionOrder & | dimensionOrder | ) |

Set the DimensionOrder property.

Parameters

  dimensionOrder | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setID()

void ome::xml::model::Pixels::setID | ( | const std::string & | id | ) |

Set the ID property.

Parameters

  id | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setInterleaved()

void ome::xml::model::Pixels::setInterleaved | ( | ome::compat::shared_ptr< bool > & | interleaved | ) |

Set the Interleaved property.

Parameters

  interleaved | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setMetadataOnly()

void ome::xml::model::Pixels::setMetadataOnly | ( | ome::compat::shared_ptr< ome::xml::model::MetadataOnly > & | metadataOnly | ) |

Set the MetadataOnly property.

Parameters

  metadataOnly | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setPhysicalSizeX()

void ome::xml::model::Pixels::setPhysicalSizeX | ( | const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & | physicalSizeX | ) |

Set the PhysicalSizeX property.

Parameters

  physicalSizeX | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setPhysicalSizeY()

void ome::xml::model::Pixels::setPhysicalSizeY | ( | const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & | physicalSizeY | ) |

Set the PhysicalSizeY property.

Parameters

  physicalSizeY | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setPhysicalSizeZ()

void ome::xml::model::Pixels::setPhysicalSizeZ | ( | const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > & | physicalSizeZ | ) |

Set the PhysicalSizeZ property.

Parameters

  physicalSizeZ | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setPlane()

void ome::xml::model::Pixels::setPlane | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Plane > & | plane
| ) |  |

Set Plane.

Parameters

  index | the index number of the Plane.
  plane | the Plane to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setSignificantBits()

void ome::xml::model::Pixels::setSignificantBits | ( | ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > & | significantBits | ) |

Set the SignificantBits property.

Parameters

  significantBits | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setSizeC()

void ome::xml::model::Pixels::setSizeC | ( | const ome::xml::model::primitives::PositiveInteger & | sizeC | ) |

Set the SizeC property.

Parameters

  sizeC | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setSizeT()

void ome::xml::model::Pixels::setSizeT | ( | const ome::xml::model::primitives::PositiveInteger & | sizeT | ) |

Set the SizeT property.

Parameters

  sizeT | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setSizeX()

void ome::xml::model::Pixels::setSizeX | ( | const ome::xml::model::primitives::PositiveInteger & | sizeX | ) |

Set the SizeX property.

Parameters

  sizeX | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setSizeY()

void ome::xml::model::Pixels::setSizeY | ( | const ome::xml::model::primitives::PositiveInteger & | sizeY | ) |

Set the SizeY property.

Parameters

  sizeY | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setSizeZ()

void ome::xml::model::Pixels::setSizeZ | ( | const ome::xml::model::primitives::PositiveInteger & | sizeZ | ) |

Set the SizeZ property.

Parameters

  sizeZ | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setTiffData()

void ome::xml::model::Pixels::setTiffData | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::TiffData > & | tiffData
| ) |  |

Set TiffData.

Parameters

  index | the index number of the TiffData.
  tiffData | the TiffData to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setTimeIncrement()

void ome::xml::model::Pixels::setTimeIncrement | ( | const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > > & | timeIncrement | ) |

Set the TimeIncrement property.

Parameters

  timeIncrement | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setType()

void ome::xml::model::Pixels::setType | ( | const ome::xml::model::enums::PixelType & | type | ) |

Set the Type property.

Parameters

  type | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § sizeOfBinDataList()

std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > >::size_type ome::xml::model::Pixels::sizeOfBinDataList | ( |  | ) | const

Get size of linked BinData list.

Returns
  the size of the list.

References impl.

## § sizeOfChannelList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > >::size_type ome::xml::model::Pixels::sizeOfChannelList | ( |  | ) | const

Get size of linked Channel list.

Returns
  the size of the list.

References impl.

## § sizeOfPlaneList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > >::size_type ome::xml::model::Pixels::sizeOfPlaneList | ( |  | ) | const

Get size of linked Plane list.

Returns
  the size of the list.

References impl.

## § sizeOfTiffDataList()

std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > >::size_type ome::xml::model::Pixels::sizeOfTiffDataList | ( |  | ) | const

Get size of linked TiffData list.

Returns
  the size of the list.

References impl.

## § update()

void ome::xml::model::Pixels::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Implements ome::xml::model::OMEModelObject.

References addBinData(), addChannel(), ome::xml::model::OMEModel::addModelObject(), addPlane(), addTiffData(), ome::xml::model::MetadataOnly::create(), ome::xml::model::BinData::create(), ome::xml::model::TiffData::create(), ome::xml::model::Plane::create(), ome::xml::model::Channel::create(), ome::common::xml::dom::Element::getAttribute(), ome::xml::model::detail::OMEModelObject::getChildrenByTagName(), getID(), ome::common::xml::dom::Element::getTagName(), ome::common::xml::dom::Element::hasAttribute(), ome::xml::model::detail::OMEModelObject::logger, setBigEndian(), setDimensionOrder(), setID(), setInterleaved(), setMetadataOnly(), setPhysicalSizeX(), setPhysicalSizeY(), setPhysicalSizeZ(), setSignificantBits(), setSizeC(), setSizeT(), setSizeX(), setSizeY(), setSizeZ(), setTimeIncrement(), setType(), ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::detail::OMEModelObject::update(), and validElementName().

## § validElementName()

bool ome::xml::model::Pixels::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Implements ome::xml::model::detail::OMEModelObject.

References ome::xml::model::detail::OMEModelObject::validElementName().

Referenced by update().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/Pixels.h
- ome/xml/model/Pixels.cpp